> For the complete documentation index, see [llms.txt](https://docs.cakewallet.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cakewallet.com/faq/glossary/uri-scheme.md).

# URI scheme

The URI schemes Cake Wallet supports, such as monero:, bitcoin:, and cakewallet:, with the formats and examples for payment links and wallet-restore links.

Cake Wallet supports standard URI schemes for opening links in the app. A URI scheme is a special link that conveys transaction or wallet-restore information. Supported schemes include:

* `monero` / `monero-wallet`
* `bitcoin` / `bitcoin-wallet`
* `litecoin` / `litecoin-wallet`
* `ethereum` / `ethereum-wallet`
* `bitcoincash` / `bitcoincash-wallet`
* `polygon` / `polygon-wallet`
* `solana-wallet`
* `tron` / `tron-wallet`
* `nano` / `nano-wallet`
* `zano` / `zano-wallet`
* `cakewallet` (opens Cake Wallet specifically)
* `monerocom` (opens Monero.com specifically)

## Universal sending format

When sending transactions, the scheme is as follows:

> scheme `(monero / bitcoin / litecoin / ethereum / ...)` ":" \["//" authority `(empty)`] path `(address)` \["?" query `(all parameters)`] \["#" fragment `(empty)`]

Examples and descriptions:

*This will open the Send screen for a Monero wallet for 1.64191753 XMR:*

`monero:8Byke9ZxeRQaFe1cVFT5yvMXJ6LorQGgm9BSXGVkCkPqMLYhvdLnymJJytngt6321BBYS5L5W39pzMwFzJjfjTUKSZ3pyk4?tx_amount=1.64191753`

*This will open the Send screen for a Bitcoin wallet for 0.00999496 BTC:*

`bitcoin:bc1q3vuzard8eake3lq8crpegzqu2lk27hxew0zv57?amount=0.00999496`

## Universal wallet restore format

When restoring a wallet, the default scheme created in the app is as follows:

> scheme `(monero-wallet / bitcoin-wallet / litecoin-wallet / ...)` ":" \["//" authority `(empty)`] path `(address / empty)` \["?" query `(all parameters)`] \["#" fragment `(empty)`]

*Note: the address is mandatory for the Monero key restore option, but optional (and thus not provided by default) for seed restores.*

Examples and descriptions:

*This will allow restoring a Monero wallet using a seed and txids:*

`monero-wallet:?seed=iceberg+ascend+soil+goat+yoga+technical+newt+sample+remedy+threaten+arrow+school+negative+sneeze+wiggle+bite+feline+efficient+depth+wife+winter+egotistic+sneeze+taxi+ascend&txid=f8477b831a028f07d5638157afc0fbf0897066b4caa29dc48f885fba79cec814;bd20081e0d1abf05b275bcc06bc7e315bc03c57870e247c82c8a45b30f4d1b34;cdbed9b4b2f56de7cce9255610d0cae702aefb36f9a4ff15698ea448f29f6188`

*This will allow restoring a Monero wallet using keys and a block height:*

`monero-wallet:467iotZU5tvG26k2xdZWkJ7gwATFVhfbuV3yDoWx5jHoPwxEi4f5BuJQwkP6GpCb1sZvUVB7nbSkgEuW8NKrh9KKRRga5qz?spend_key=029c559cd7669f14e91fd835144916009f8697ab5ac5c7f7c06e1ff869c17b0b&view_key=afaf646edbff3d3bcee8efd3383ffe5d20c947040f74e1110b70ca0fbb0ef90d&height=100000`

*This will allow restoring a Litecoin wallet:*

`litecoin-wallet:?seed=rather+maximum+insect+bleak+pride+sand+stomach+anger+brass+sound+lady+section+frame+silent+busy+strategy+tray+science+quantum+cost+inner+appear+sad+resemble`

## App-specific formats

If you want to command that Cake Wallet or Monero.com should open the URI specifically, not another app, then you should use the `cakewallet` and `monerocom` URIs.

### Cake sending format

> scheme `(cakewallet / monerocom)` ":" \["//" authority `(empty)`] path `(monero / bitcoin / litecoin / ...)` \["?" query `(all parameters)`] \["#" fragment `(empty)`]

Examples and descriptions:

*This will open the Monero.com Send screen for a Monero wallet for 1.64191753 XMR:*

`monerocom:monero?address=8Byke9ZxeRQaFe1cVFT5yvMXJ6LorQGgm9BSXGVkCkPqMLYhvdLnymJJytngt6321BBYS5L5W39pzMwFzJjfjTUKSZ3pyk4&tx_amount=1.64191753`

*This will open the Cake Wallet Send screen for a Bitcoin wallet for 0.00999496 BTC:*

`cakewallet:bitcoin?address=bc1q3vuzard8eake3lq8crpegzqu2lk27hxew0zv57&amount=0.00999496`

### Cake restore format

> scheme `(cakewallet / monerocom)` ":" \["//" authority `(empty)`] path `(monero-wallet / bitcoin-wallet / litecoin-wallet / ...)` \["?" query `(all parameters)`] \["#" fragment `(empty)`]

*Note: the address is mandatory for the Monero key restore option, but optional for seed restores.*

Examples and descriptions:

*This will allow restoring a Monero wallet using a seed and txids in Monero.com:*

`monerocom:monero-wallet?seed=iceberg+ascend+soil+goat+yoga+technical+newt+sample+remedy+threaten+arrow+school+negative+sneeze+wiggle+bite+feline+efficient+depth+wife+winter+egotistic+sneeze+taxi+ascend&txid=f8477b831a028f07d5638157afc0fbf0897066b4caa29dc48f885fba79cec814;bd20081e0d1abf05b275bcc06bc7e315bc03c57870e247c82c8a45b30f4d1b34;cdbed9b4b2f56de7cce9255610d0cae702aefb36f9a4ff15698ea448f29f6188`

*This will allow restoring a Monero wallet using keys and block height in Cake Wallet:*

`cakewallet:monero-wallet?address=467iotZU5tvG26k2xdZWkJ7gwATFVhfbuV3yDoWx5jHoPwxEi4f5BuJQwkP6GpCb1sZvUVB7nbSkgEuW8NKrh9KKRRga5qz&spend_key=029c559cd7669f14e91fd835144916009f8697ab5ac5c7f7c06e1ff869c17b0b&view_key=afaf646edbff3d3bcee8efd3383ffe5d20c947040f74e1110b70ca0fbb0ef90d&height=100000`

*This will allow restoring a Litecoin wallet in Cake Wallet:*

`cakewallet:litecoin-wallet?seed=rather+maximum+insect+bleak+pride+sand+stomach+anger+brass+sound+lady+section+frame+silent+busy+strategy+tray+science+quantum+cost+inner+appear+sad+resemble`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cakewallet.com/faq/glossary/uri-scheme.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
